;;; ../../git/cho@gitea.bubbletea.dev/dotfiles/home/default/.config/doom/+org-roam-templates.el -*- lexical-binding: t; -*-

;; org-roam configurations
(use-package! org-roam
  :init
  :custom
  (org-roam-directory "~/notebook/roam/" )
  (org-roam-dailies-capture-templates
   '(("d" "default" entry "* %<%I:%M %p>: %?"
      :if-new (file+head "%<%Y-%m-%d>.org" "#+title: %<%Y-%m-%d>\n")))))

;; looks
;(cl-defmethod org-roam-node-type ((node org-roam-node))
;  "Return the TYPE of NODE."
;  (condition-case nil
;      (file-name-nondirectory
;       (directory-file-name
;        (file-name-directory
;         (file-relative-name (org-roam-node-file node) org-roam-directory))))
;    (error "")))

;(setq org-roam-node-display-template
;      (concat "${type:15} ${title:*} " (propertize "${tags:10}" 'face 'org-tag)))

(setq org-roam-capture-templates
  '(("d" "default" plain "%?"
     :target (file+head "%<%Y%m%d%H%M%S>-${slug}.org"
                        "#+title: ${title}\n")
     :unnarrowed t)
    ;; main things
    ("l" "literature" plain "%?"
     :if-new
     (file+head "literature/%<%Y%m%d%H%M%S>-${title}.org" "#+title: ${title}\n")
     :immediate-finish t
     :unnarrowed t)
    ("p" "permanent" plain "%?"
     :if-new
     (file+head "permanent/%<%Y%m%d%H%M%S>-${title}.org" "#+title: ${title}\n")
     :immediate-finish t
     :unnarrowed t)

    ;; now using inbox.org via org-capture
    ;("f" "fleeting" plain "%?"
    ; :if-new
    ; (file+head "fleeting/%<%Y%m%d%H%M%S>-${title}.org" "#+title: ${title}\n")
    ; :immediate-finish t
    ; :unnarrowed t)

    ;; other categories
    ;("r" "reference" plain "%?"
    ; :if-new
    ; (file+head "reference/%<%Y%m%d%H%M%S>-${title}.org" "#+title: ${title}\n")
    ; :immediate-finish t
    ; :unnarrowed t)
    ;("a" "article" plain "%?"
    ; :if-new
    ; (file+head "articles/%<%Y%m%d%H%M%S>-${title}.org" "#+title: ${title}\n#+filetags: :article:\n")
    ; :immediate-finish t
    ; :unnarrowed t)

    ("s" "school" plain "%?"
     :if-new
     (file+head "school/%<%Y%m%d%H%M%S>-${title}.org" "#+title: ${title}\n")
     :immediate-finish t
     :unnarrowed t)))
