;;; ../../git/cho@gitea.bubbletea.dev/dotfiles/home/default/.config/doom/+org-pomodoro-config.el -*- lexical-binding: t; -*-

(after! org-pomodoro
  (setq org-pomodoro-ask-upon-killing t
        org-pomodoro-keep-killed-pomodoro-time t
        org-pomodoro-length 25
        org-pomodoro-manual-break t)

  (defun +org-pomodoro/3-5 ()
  "Set Pomodoro intervals to 3-5"
      (interactive)
    (setq org-pomodoro-length 3)
    (setq org-pomodoro-short-break-length 5)
    (message "Pomodoro set to 3-5" (buffer-name)))
  (defun +org-pomodoro/5-5 ()
  "Set Pomodoro intervals to 5-5"
      (interactive)
    (setq org-pomodoro-length 5)
    (setq org-pomodoro-short-break-length 5)
    (message "Pomodoro set to 3-5" (buffer-name)))
  (defun +org-pomodoro/10-5 ()
  "Set Pomodoro intervals to 10-5"
      (interactive)
    (setq org-pomodoro-length 10)
    (setq org-pomodoro-short-break-length 5)
    (message "Pomodoro set to 10-5" (buffer-name)))
  (defun +org-pomodoro/15-5 ()
  "Set Pomodoro intervals to 15-5"
      (interactive)
    (setq org-pomodoro-length 15)
    (setq org-pomodoro-short-break-length 5)
    (message "Pomodoro set to 15-5" (buffer-name)))
  (defun +org-pomodoro/25-5 ()
  "Set Pomodoro intervals to 25-5"
      (interactive)
    (setq org-pomodoro-length 25)
    (setq org-pomodoro-short-break-length 5)
    (message "Pomodoro set to 25-5" (buffer-name)))
  (defun +org-pomodoro/30-10 ()
  "Set Pomodoro intervals to 30-10"
      (interactive)
    (setq org-pomodoro-length 30)
    (setq org-pomodoro-short-break-length 10)
    (message "Pomodoro set to 30-10" (buffer-name)))
  (defun +org-pomodoro/50-10 ()
  "Set Pomodoro intervals to 50-10"
      (interactive)
    (setq org-pomodoro-length 50)
    (setq org-pomodoro-short-break-length 10)
    (message "Pomodoro set to 50-10" (buffer-name))))
