;;; ../../git/cho@gitea.bubbletea.dev/dotfiles/home/default/.config/doom/+org-wild-notifier-config.el -*- lexical-binding: t; -*-

  ;; NOTIFICATIONS CONFIGURATION REFERENCE
  ;;; note : it's probably better to add this after
  ;;;        setting org-agenda-files.
  ;;;        use this under (!after org ...
  ;;;        else it would't work
  ;
  ;(use-package! org-wild-notifier
  ;  :defer t
  ;  :init
  ;  (add-hook 'doom-post-init-hook (org-wild-notifier-mode))
  ;  :config
  ;  (setq alert-default-style 'libnotify)
  ;;; set to libnotify or notifications or osx-notifier
  ;  (setq org-wild-notifier-alert-time '(60 30))
  ;;; alert time defaults to '(10) if not set
  ;  (setq org-wild-notifier-keyword-whitelist nil))
  ;  (setq org-wild-notifier-keyword-blacklist '("DONE"))

  (use-package! org-wild-notifier
    :init
    (add-hook 'doom-post-init-hook (org-wild-notifier-mode))
    :config
    (require 'org-duration)
    ;(setq alert-default-style 'libnotify)
    (setq org-wild-notifier-alert-time '(10 0))
    (setq org-wild-notifier-keyword-whitelist nil)
    (setq org-wild-notifier-keyword-blacklist '("DONE"))
    (alert-add-rule :category "org-wild-notifier"
                    :style (cond (alert-libnotify-command
                                  'libnotify)
                                 (alert-default-style))))

;;; play audio for for alerts
(defun +org-wild-notifier/play-sound () (interactive) (start-process-shell-command "org-wild-notifier-audio-player" nil "mpg123 ~/resources/sounds/alerts/metal-gear-item-drop.mp3")) (defadvice org-wild-notifier--notify (after org-wild-notifier--play-sound-after-notify activate) (+org-wild-notifier/play-sound))

;;; for testing notifications
(defun org-wild-notifier-alert-test ()
  (interactive)
  (alert "test" :category 'org-wild-notifier))
