;;; +todo-workspaces.el --- Description -*- lexical-binding: t; -*-
(after! org
(defun +todo-workspaces/agenda1 ()
  ;(interactive)
  (org-agenda nil "a")
  )
(defun +todo-workspaces/agenda2 ()
  (interactive)
  (org-agenda nil "x"))
(defun +todo-workspaces/make-todo-agendas ()
  ;(interactive)
  (+todo-workspaces/agenda1)
  (hide-mode-line-mode)
  (+todo-workspaces/agenda2)
  (hide-mode-line-mode))
(defun +todo-workspaces/split-todo-workspace ()
  ;(interactive)
  (delete-other-windows)
  (split-window-below)
  (windmove-down)
  (split-window-right)
  (windmove-up)
  )
(defun +todo-workspaces/split-todo-workspace-min ()
  ;(interactive)
  (delete-other-windows)
  (split-window-below)
  )


(defun +todo-workspaces/redo-all-agenda-buffers ()
  (interactive)
  (dolist (buffer (buffer-list))
    (with-current-buffer buffer
      (when (derived-mode-p 'org-agenda-mode)
        (org-agenda-redo t)))))

(defun +todo-workspaces/make-todo-workspace ()
  (interactive)
  ;(+todo-workspaces/redo-all-agenda-buffers)
  (+todo-workspaces/make-todo-agendas)
  (+todo-workspaces/split-todo-workspace)
  (switch-to-buffer  "*Org Agenda(a)*")
  (windmove-down)
  (switch-to-buffer  "*Org Agenda(x)*")
  (windmove-right)
  (find-file "~/notebook/ag/todo.org")
)

(defun +todo-workspaces/make-todo-workspace-min ()
  (interactive)
  ;(+todo-workspaces/redo-all-agenda-buffers)
  (+todo-workspaces/make-todo-agendas)
  (+todo-workspaces/split-todo-workspace-min)
  (switch-to-buffer  "*Org Agenda(a)*")
  (windmove-down)
  (switch-to-buffer  "*Org Agenda(x)*")
)

(provide '+todo-workspaces)
)
;;; +todo-workspaces.el ends here
